org.apache.uima.jcas.cas

## Class FloatArray_Type

- java.lang.Object
- - org.apache.uima.jcas.cas.TOP_Type
  - - org.apache.uima.jcas.cas.CommonArray_Type
    - - org.apache.uima.jcas.cas.FloatArray_Type

-     public class FloatArray_Type
      extends CommonArray_Type

  The java Cas model for the CAS FloatArray Type This is not final because the migration from pre v08 has the old xxx_Type as a subclass of this.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `typeIndexID`

    - ### Fields inherited from class org.apache.uima.jcas.cas.TOP_Type

      `casImpl, casType, casTypeCode, instanceOf_Type, jcas, ll_cas, lowLevelArrayBoundChecks, lowLevelTypeChecks, useExistingInstance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FloatArray_Type(JCas jcas, Type casType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyFromArray(int addr, float[] src, int srcOffset, int destOffset, int length)`
    `void` | `copyToArray(int addr, int srcOffset, float[] dest, int destOffset, int length)`
    `float` | `get(int addr, int i)`
    `protected org.apache.uima.cas.impl.FSGenerator<?>` | `getFSGenerator()`
    `void` | `set(int addr, int i, float value)` updates the Cas, setting the indexed value to the passed in Java float value.
    `float[]` | `toArray(int addr)`

    - ### Methods inherited from class org.apache.uima.jcas.cas.CommonArray_Type

      `size`

    - ### Methods inherited from class org.apache.uima.jcas.cas.TOP_Type

      `addToIndexes, checkType, getTypeIndexID, invalidTypeArg, noObjCreate, removeFromIndexes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### typeIndexID

          public static final int typeIndexID

  - ### Constructor Detail

    - #### FloatArray_Type

          public FloatArray_Type(JCas jcas,
                                 Type casType)

  - ### Method Detail

    - #### getFSGenerator

          protected org.apache.uima.cas.impl.FSGenerator<?> getFSGenerator()

      Overrides:
        `getFSGenerator` in class `TOP_Type`

    - #### get

          public float get(int addr,
                           int i)

      Parameters:
        `addr` - the low level CAS Feature Structure reference
        `i` - the index
      Returns:
        the indexed value from the corresponding Cas floatArray as a Java float.
      See Also:
        `ArrayFS.get(int)`

    - #### set

          public void set(int addr,
                          int i,
                          float value)

      updates the Cas, setting the indexed value to the passed in Java float value.
      Parameters:
        `addr` - the low level CAS Feature Structure reference
        `i` - the index
        `value` - the value to set
      See Also:
        `ArrayFS.set(int, FeatureStructure)`

    - #### copyFromArray

          public void copyFromArray(int addr,
                                    float[] src,
                                    int srcOffset,
                                    int destOffset,
                                    int length)

      Parameters:
        `addr` - the low level CAS Feature Structure reference to copy into
        `src` - the array to copy from
        `srcOffset` - the source offset
        `destOffset` - the destination offset
        `length` - the number of items to copy
      See Also:
        `FloatArrayFS.copyFromArray(float[], int, int, int)`

    - #### copyToArray

          public void copyToArray(int addr,
                                  int srcOffset,
                                  float[] dest,
                                  int destOffset,
                                  int length)

      Parameters:
        `addr` - the low level CAS Feature Structure reference to copy from
        `srcOffset` - the source offset
        `dest` - the target to copy into
        `destOffset` - the destination offset
        `length` - the number of items to copy

    - #### toArray

          public float[] toArray(int addr)

      Parameters:
        `addr` - the low level CAS Feature Structure reference to copy from
      Returns:
        a copy of the array
      See Also:
        `FloatArrayFS.toArray()`

Copyright © 2006–2017 The Apache Software Foundation. All rights reserved.